Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • 02:29

    cquiroz on master

    Update sbt to 1.3.9 Merge pull request #173 from sc… (compare)

  • 02:29
    cquiroz closed #173
  • Mar 31 21:04
    scala-steward opened #173
  • Mar 30 18:23
    cquiroz commented #172
  • Mar 30 18:14
    bwbecker commented #172
  • Mar 30 17:23
    cquiroz commented #172
  • Mar 26 20:55
    bwbecker commented #172
  • Mar 26 20:48
    bwbecker commented #172
  • Mar 26 20:46
    bwbecker synchronize #172
  • Mar 26 15:17
    cquiroz commented #172
  • Mar 26 02:20
    bwbecker commented #171
  • Mar 26 02:19
    bwbecker commented #171
  • Mar 26 02:18
    bwbecker opened #172
  • Mar 26 01:50
    cquiroz commented #171
  • Mar 25 20:08
    bwbecker commented #171
  • Mar 25 20:03
    cquiroz commented #171
  • Mar 25 20:02
    cquiroz commented #171
  • Mar 25 19:56
    bwbecker commented #171
  • Mar 25 17:43
    cquiroz commented #171
  • Mar 25 17:42
    cquiroz commented #171
nafg
@nafg
I just started getting that for America/New_York. It worked before
Help?
Carlos Quiroz
@cquiroz
Did you setup sbt-tzdb in your build?
nafg
@nafg
I have what I always had,
      libraryDependencies ++= Seq(
        "io.github.cquiroz" %%% "scala-java-time" % "2.0.0-RC3",
        "io.github.cquiroz" %%% "scala-java-time-tzdb" % "2.0.0-RC3_2019a",
        [...]
I don't know what changed that would affect this
I updated a bunch of dependencies (not this though), also this project has been gathering dust for a few months, but I don't get what changed
Carlos Quiroz
@cquiroz
What changed?
At least in the last RC it is recommended that you build a custom tzdb with only the time zones you need
nafg
@nafg
I didn't bump the RC now
unless something is getting evicted
I didn't notice anything when I was looking through evictions for something else, though
Carlos Quiroz
@cquiroz
The module you’re importing should include all the tz so it should work though I haven’t tested that lately
I prefer a custom dB as it reduces the siZe of the js
nafg
@nafg
yeah and increases the size of my *.sbt ;)
nafg
@nafg
Turns out I had that on a different module than the one that was failing :laughing:
Carlos Quiroz
@cquiroz
sbt fails in inscrutable ways 😅
Logan Nelson
@a1kemist
@cquiroz could you publish another incremental RC that includes scala 2.13.1 and scalajs 0.6.31 support? Alternatively, if 2.0.0 GA is coming soon I could probably just wait for that. :)
Carlos Quiroz
@cquiroz
@a1kemist why do you need that? I’m just curious since there are no important code changes to publish
To avoid eviction warnings?
Logan Nelson
@a1kemist
I’m in the process of updating most of my projects to 2.13 and saw that there are several regression fixes in 2.13.1 vs 2.13.0. aside from the eviction warnings (which I try to minimize when possible), that was my main concern.
nafg
@nafg
@a1kemist since 2.13.0 classfiles are binary compatible with 2.13.1, a library doesn't need to be republished. If the library was published for 2.13.0 and you're using 2.13.1 it's fine.
Alex Henning Johannessen
@ahjohannessen
@cquiroz How is it going moving to ScalaJS 1.0 ? :)
Carlos Quiroz
@cquiroz
Unfortunately I discovered a bug
I may need to wait for 1.0.1
Carlos Quiroz
@cquiroz
I’ll publish as soon as I can
Alex Henning Johannessen
@ahjohannessen
@cquiroz Ok, thanks for the heads up
Alex Henning Johannessen
@ahjohannessen

@cquiroz with regards to

I may need to wait for 1.0.1

Have you gotten any wiser? Is there some workaround or similar that can be done?

Carlos Quiroz
@cquiroz
The issue is being tracked at scala-js/scala-js#3950
I tried a few workarounds but it seems that it simply can no handle nested objects which are need to in the locales api
Alex Henning Johannessen
@ahjohannessen
Can you solve it by making breaking changes? Or is it out of your influence?
Alex Henning Johannessen
@ahjohannessen
Carlos Quiroz
@cquiroz
Yeah saw that
I could solve it by not following exactly the locales API
but that seems like a bad idea
Alex Henning Johannessen
@ahjohannessen

@cquiroz Could you give an example wrt:

I could solve it by not following exactly the locales API

Carlos Quiroz
@cquiroz
In particular there is this nested static class Locale.Category that is breaking on scala.js 1.0
I could just make Category top level and that would solve it
but then the API would not match the original java API
Which I guess is mostly a non issue
But still
Carlos Quiroz
@cquiroz
I published 2.0.0-RC4 with support for scala.js 1.0 and sbt-locales
If nothing major is found this will become 2.0.0 next week
Carlos Quiroz
@cquiroz
RC4 ended up incorrectly bulit. I’ll get RC5 asap
Alex Henning Johannessen
@ahjohannessen
@cquiroz :+1:
Carlos Quiroz
@cquiroz
RC5 is on its way to maven central